Request restore cleanup
curl --request POST \
--url https://api.example.com/v1/api/resources/{resourceId}/actions/restore-cleanup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"restoreId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/v1/api/resources/{resourceId}/actions/restore-cleanup"
payload = { "restoreId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({restoreId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.example.com/v1/api/resources/{resourceId}/actions/restore-cleanup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operation": {
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorMessage": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"requestedBy": "<string>",
"phase": "queued",
"cancelRequestedAt": "2023-11-07T05:31:56Z",
"request": {
"release": {
"containerName": "<string>",
"imageTag": "<string>",
"releaseId": "<string>"
},
"type": "run_job",
"job": {
"name": "<string>",
"command": [
"<string>"
],
"schedule": {
"cron": "<string>",
"timezone": "UTC"
},
"timeoutSeconds": 123,
"enabled": true,
"description": "<string>"
},
"scheduledAt": "<string>"
},
"resourceId": "<string>",
"result": {
"jobName": "<string>",
"exitCode": 123,
"timedOut": true,
"logs": "<string>",
"truncated": true
},
"serverId": "<string>",
"sourceId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"state": "running",
"type": "backup",
"updatedAt": "2023-11-07T05:31:56Z"
},
"replayed": true,
"localization": {
"dateFormat": "day-short-month-year",
"timeFormat": "24-hour",
"timeZone": "<string>",
"timestamps": {}
}
}{
"operation": {
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorMessage": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"requestedBy": "<string>",
"phase": "queued",
"cancelRequestedAt": "2023-11-07T05:31:56Z",
"request": {
"release": {
"containerName": "<string>",
"imageTag": "<string>",
"releaseId": "<string>"
},
"type": "run_job",
"job": {
"name": "<string>",
"command": [
"<string>"
],
"schedule": {
"cron": "<string>",
"timezone": "UTC"
},
"timeoutSeconds": 123,
"enabled": true,
"description": "<string>"
},
"scheduledAt": "<string>"
},
"resourceId": "<string>",
"result": {
"jobName": "<string>",
"exitCode": 123,
"timedOut": true,
"logs": "<string>",
"truncated": true
},
"serverId": "<string>",
"sourceId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"state": "running",
"type": "backup",
"updatedAt": "2023-11-07T05:31:56Z"
},
"replayed": true,
"localization": {
"dateFormat": "day-short-month-year",
"timeFormat": "24-hour",
"timeZone": "<string>",
"timestamps": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Request restore cleanup
Request restore cleanup through the Towbar REST API.
POST
/
resources
/
{resourceId}
/
actions
/
restore-cleanup
Request restore cleanup
Required permissions: resource.restore. Personal keys are capped by their owner’s current team role.
Supply an Idempotency-Key for this action. An accepted request may continue asynchronously; poll the returned ID.
See request conventions and automation workflows. MCP clients use the task-oriented tool catalogue.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
1 - 255Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Last modified on September 5, 2026
